/**
 * 主窗口外部扩展
 */
export default class MainExtend {

	static _instance: MainExtend;
    static get instance() {
        return MainExtend._instance || (MainExtend._instance = new MainExtend())
	}
	

	//home接口数据
	public homeData

	/**
	 * 首页接口请求成功回调(首次)
	 * @param homeData  home接口数据
	 */
    onHome(homeData){
		this.homeData=homeData
	}

	/**
	 * 首页接口请求成功回调（每次更新）
	 * @param homeData  home接口数据
	 */
	onHomeUpdate(homeData){
		this.homeData=homeData
	}

	/**
	 * 点击【我的奖品】按钮
	 */
	onTap_recordBtn(){

	}

	/**
	 * 点击【规则】按钮
	 */
	onTap_ruleBtn(){

	}

	/**
	 * 点击【汪星人卫队】按钮
	 */
	onTap_teamBtn(){

	}

	/**
	 * 点击【图鉴】按钮
	 */
	onTap_mapBtn(){

	}

	/**
	 * 点击【商店】按钮
	 */
	onTap_shopBtn(){
		
	}

	//召唤狗狗成功回调
	onSummon(){

	}
	
}